package sun.java2d.loops;

import sun.java2d.SurfaceData;
import sun.java2d.SunGraphics2D;

class XorDrawLineANY extends DrawLine
{
    XorDrawLineANY() {
        super(SurfaceType.AnyColor, CompositeType.Xor, SurfaceType.Any);
    }
    
    @Override
    public void DrawLine(SunGraphics2D sunGraphics2D, SurfaceData surfaceData, int n, int n2, int n3, int n4) {
        PixelWriter xorPixelWriter = GeneralRenderer.createXorPixelWriter(sunGraphics2D, surfaceData);
        if (n2 >= n4) {
            GeneralRenderer.doDrawLine(surfaceData, xorPixelWriter, null, sunGraphics2D.getCompClip(), n3, n4, n, n2);
        }
        else {
            GeneralRenderer.doDrawLine(surfaceData, xorPixelWriter, null, sunGraphics2D.getCompClip(), n, n2, n3, n4);
        }
    }
}
